Last Comment Bug 607678 - JEP 0.9.7.4 breaks (Yahoo! games, pogo.com) applets that attempt to open new windows in pop-up windows
: JEP 0.9.7.4 breaks (Yahoo! games, pogo.com) applets that attempt to open new ...
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- major (vote)
: ---
Assigned To: Steven Michaud [:smichaud] (Retired)
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
http://games.yahoo.com/play/sp&cat=be...
: 617652 621327 (view as bug list)
Depends on: 610525
Blocks: 598453
  Show dependency treegraph
 
Reported: 2010-10-27 10:50 PDT by Bill Robinson
Modified: 2011-01-01 21:15 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13+
.13-fixed
.16+
.16-fixed


Attachments

Description Bill Robinson 2010-10-27 10:50:24 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en; rv:1.9.0.19) Gecko/2010101518 Camino/2.0.5 (like Firefox/3.0.19)
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en; rv:1.9.0.19) Gecko/2010101518 Camino/2.0.5 (like Firefox/3.0.19)

When I click on the table it shows my name but it won't bring up the table. I did not have this problem UNTIL I d/l and installed updates for camino.

Reproducible: Always

Steps to Reproduce:
1. go to yahoo games spades
2. enter lobby
3. click on table will not bring up the table
Actual Results:  
I can see my name at the table in the lobby but the table does not come up

Expected Results:  
Table comes up
Comment 1 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-10-27 11:21:23 PDT
I'm not really familiar with how this works, but it seems to work for me as long as I allow the pop-up window request.

If you test with a fresh profile (http://pimpmycamino.com/parts/troubleshoot-camino can automate this for you), does it work then?

Also, if you go back to Camino 2.0.4 (http://caminobrowser.org/releases/2.0.4/), does the table start working again?
Comment 2 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-10-27 12:16:57 PDT
Never mind, Bill; I can reproduce this now, and I've figured out what caused it.  Thanks for the bug report.

Steven, the new JEP breaks applets (like Yahoo! Games) and pogo.com games that attempt to do things involving opening new pop-up windows from inside pop-up windows.

The pogo.com case (reported in the forum) is much more visible; the current pop-up window actually closes!

1) Visit http://pogo.com
2) Click the "Play" button below the Chess game
-- Pop-up opens, ad shown while applet loads
3) Once the applet finishes loading, you'll see it start to draw

ER: Game shown
AR: Window is closed

On the Yahoo Games Spades that Bill reported, you actually get some indication of what's going on; there's a message that a pop-up can't be openend (you don't have to join the table; clicking "Watch" is sufficient to trigger this problem).

1) http://games.yahoo.com/play/sp&cat=beginner&ss=1 and sign-in to Yahoo if needed
2) Click "Play Now!" purple button
3) Enter confirmation code in pop-up window
-- "Lobby" loads
4) If there are tables present, click the table's Watch button

ER: Spades table loads
AR: Table doesn't load, message about not being able to do something with pop-ups shown above list of tables in Lobby.

(There are no tables right now when I went back to right down more specific STR, so I don't know for sure what the message says, but I know it complained about pop-ups).

This happens in Camino 2.0.5 (regression from 2.0.4), Firefox 3.6.11, and Camino 2.1a1pre nightlies beginning 2010-09-25.  Further, 2.0.5pre debug build had JEP 0.9.7.3 (due to bug 368855) and I couldn't reproduce this (comment 1); I replaced it with the 0.9.7.4 and did nothing else and could trigger this.

As these are very popular sites, requesting blocking on the two branches where this landed where I can request blocking (we'd like a fix on 1.9.0, too, of course) and sending to Core:Plug-ins, which has the blocking flags :P
Comment 3 Steven Michaud [:smichaud] (Retired) 2010-10-27 12:46:43 PDT
Smokey, do you see anything in the error console when this bug happens?
Comment 4 Steven Michaud [:smichaud] (Retired) 2010-10-27 12:56:23 PDT
> 1) Visit http://pogo.com
> 2) Click the "Play" button below the Chess game
> -- Pop-up opens, ad shown while applet loads
> 3) Once the applet finishes loading, you'll see it start to draw
>
> ER: Game shown
> AR: Window is closed

I can't reproduce this in FF 3.6.11 on OS X 10.5.8.
Comment 14 philippe (part-time) 2010-10-27 16:41:45 PDT
I haven't been able to reproduce this with a Namoroka nightly build, but yes with Camino 2.1a1pre builds (on 10.6.4)

The only thing Console flags:

10/28/10 8:22:31 AM	[0x0-0x79079].org.mozilla.camino[1153]	initialization error: Can't load class netscape/javascript/JSObject

10/28/10 8:22:31 AM	[0x0-0x79079].org.mozilla.camino[1153]	initialization error: Can't load class java/lang/Object

10/28/10 8:22:31 AM	[0x0-0x79079].org.mozilla.camino[1153]	LiveConnect was unable to reflect one or more components of the Java runtime.

10/28/10 8:22:31 AM	[0x0-0x79079].org.mozilla.camino[1153]	Total weirdness:   No JSJavaVM wrapper ever created for JavaVM 0x1ed666e0
Comment 16 philippe (part-time) 2010-10-27 16:55:51 PDT
I don't know if those are related or dupes:
bug 607604, bug 607199
Comment 19 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-10-27 17:55:11 PDT
(In reply to comment #16)
> I don't know if those are related or dupes:
> bug 607604, bug 607199

I *once* had Firefox 3.6.11 load JavaPlugin2(!) and crash (Breakpad didn't catch it) when trying to reproduce the pogo.com failure, so that could possibly be what the guy in bug 607604 is seeing, or similar.  Probably not a dupe, certainly not without knowing more about what he's seeing.

The message pasted in bug 607199 comment 0 is the web page that was displayed after I reproduced the Pogo failure several times in a row (click, disappear, repeat), so that's probably a dupe.  I queried the reporter.  They must have some code to detect failure conditions and which is successful in doing so some of the time ;)
Comment 26 philippe (part-time) 2010-10-28 01:35:42 PDT
(In reply to comment #14)
> I haven't been able to reproduce this with a Namoroka nightly build, but yes
> with Camino 2.1a1pre builds (on 10.6.4)

And I was able to reproduce with Firefox 3.6.12 with a new / default profile. I choose the 'Chess game' (one of the 6 games suggested under the main image @ pogo.com), the game loads briefly and then the window closes. Console was a bit more verbose than with Camino. In addition to the errors noted in comment 14, I also get 10 or so instances of

10/28/10 5:28:34 PM	[0x0-0xfa0fa].org.mozilla.firefox	MRJ Plugin JEP: JavaScript-to-Java LiveConnect failed -- script principal has malformed origin!
Comment 32 Pat 2010-11-01 13:58:02 PDT
I have a Mac OS X v10.6 and started having problems on Pogo.com where games will not load. I click on PLAY, the ad comes up, the game tries to load, and the window closes. I have been told by them the problem lies with the latest updates Firefox 3.6.11 and Firefox 3.6.12 - it was fine with versions 3.6.10 & earlier. I hope this will be rectified in the next version.
Comment 33 Steven Michaud [:smichaud] (Retired) 2010-11-01 14:55:20 PDT
I can reliably reproduce this bug with FF 3.6.11 and 3.6.12 on OS X
10.6.4 (using the steps associated with the Pogo site from comment
#2).  I've also seen this bug on OS X 10.5.8, though I can't reproduce
it reliably there.

This probably isn't a bug in JEP 0.9.7.4.  But wherever the bug is,
I'll be looking for a solution.

No need for more "me too" comments.
Comment 34 Steven Michaud [:smichaud] (Retired) 2010-11-09 16:14:38 PST
As I mentioned at bug 606737 comment #7, JEP 0.9.7.4 fixed (or rather
worked around) a security bug.  But this bug (bug 589041, which is
currently inaccessible) hasn't yet been completely fixed on other
platforms than OS X.  So I still haven't officially released JEP
0.9.7.4, or made its source code available.

And JEP 0.9.7.4, in working around bug 589041, caused breakage that
uncovered another, different security bug (bug 610525, also currently
inaccessible).  This breakage includes bug 607678 (this bug) and bug
606737.

JEP 0.9.7.4's breakage does "fix" (or rather work around) bug 610525,
but not in an acceptable fashion.  Hopefully my patch for bug 610525
will take care of this.

Here's a test build made with my current patch for bug 610525.  Please
try it out and let us know your results.

http://people.mozilla.com/~stmichaud/bmo/firefox-3.6.13pre-bugzilla610525.en-US.mac.dmg
Comment 35 philippe (part-time) 2010-11-10 00:39:16 PST
(In reply to comment #34)
A patched Gecko-1.9.2 based Camino (2.1a1pre) works equally well for all the games mentioned in this bug.
Comment 36 Smokey Ardisson (offline for a while; not following bugs - do not email) 2010-11-15 14:46:59 PST
FWIW, here's a build I made that's equivalent to Camino 2.0.6 plus Steven's fix: http://www.ardisson.org/smokey/moz/Camino-2.0.6-bug610525.dmg

(Important note for anyone who want to use this build instead of the official 2.0.6: it does not have software update, so it *will not* update you to 2.0.7; you will have to pay attention to http://caminobrowser.org/blog/ to see when 2.0.7 is release and then manually download 2.0.7)

I gave the build a light test, and pogo.com no longer closes the game before it begins!
Comment 37 Steven Michaud [:smichaud] (Retired) 2010-11-16 11:21:52 PST
This bug should now be fixed on the 1.9.2 and 1.9.1 branches by my patch for
bug 610525, which landed yesterday on those branches.

Please check out the latest nightlies on those branches.

It's not yet fixed on the 1.9.0 branch (used by Camino 2.0.X).  But it should
be once I get permission to land my fix for bug 610525 on the 1.9.0 branch.
Comment 38 Steven Michaud [:smichaud] (Retired) 2010-12-08 13:12:06 PST
*** Bug 617652 has been marked as a duplicate of this bug. ***
Comment 39 Chris Lawson (gone) 2011-01-01 21:15:00 PST
(In reply to comment #37)

> It's not yet fixed on the 1.9.0 branch (used by Camino 2.0.X).  But it should
> be once I get permission to land my fix for bug 610525 on the 1.9.0 branch.

Since that bug is still hidden, can you please comment here when you get said approval?
Comment 40 Chris Lawson (gone) 2011-01-01 21:15:58 PST
*** Bug 621327 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.